be.fgov.ehealth.commons.enc.v2

## Class Digest

- java.lang.Object
- - be.fgov.ehealth.commons.enc.v2.Digest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:55:42+01:00",
                 comments="JAXB RI v2.2.11")
      public class Digest
      extends Object
      implements Serializable

  Type of the digest value used to secure the attachment

  Java class for DigestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DigestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="algorithm" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Digest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithm()` Gets the value of the algorithm property.
    `void` | `setAlgorithm(String value)` Sets the value of the algorithm property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Digest

          public Digest()

  - ### Method Detail

    - #### getAlgorithm

          public String getAlgorithm()

      Gets the value of the algorithm property.
      Returns:
        possible object is `String`

    - #### setAlgorithm

          public void setAlgorithm(String value)

      Sets the value of the algorithm property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.